package com.purui.prims.headless.api.pojo;

import com.google.common.collect.Lists;
import com.purui.prims.common.pojo.enums.ItemType;
import lombok.Data;
import java.util.List;

@Data
public class Item {

    private Long id;

    private String name;

    private String bizName;

    private String createdBy;

    private ItemType type;

    private List<Item> relateItems = Lists.newArrayList();

    public String getValue() {
        return name;
    }

}
